libmspub::GradientFill Class Reference documentation

Classes | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libmspub::GradientFill Class Reference

`#include <Fill.h>`

Inheritance diagram for libmspub::GradientFill:

## Classes
struct | StopInfo

## Public Member Functions
| GradientFill (const MSPUBCollector *owner, double angle=0, int type=7)
void | setFillCenter (double left, double top, double right, double bottom)
void | addColor (ColorReference c, unsigned offsetPercent, double opacity)
void | addColorReverse (ColorReference c, unsigned offsetPercent, double opacity)
void | completeComplexFill ()
void | getProperties (librevenge::RVNGPropertyList *out) const
Public Member Functions inherited from libmspub::Fill
| Fill (const MSPUBCollector *owner)
virtual | ~Fill ()

## Private Member Functions
| GradientFill (const GradientFill &)
GradientFill & | operator= (const GradientFill &)

## Private Attributes
std::vector< StopInfo > | m_stops
double | m_angle
int | m_type
double | m_fillLeftVal
double | m_fillTopVal
double | m_fillRightVal
double | m_fillBottomVal

## Additional Inherited Members
Protected Attributes inherited from libmspub::Fill
const MSPUBCollector * | m_owner

## Constructor & Destructor Documentation

## § GradientFill() [1/2]

libmspub::GradientFill::GradientFill | ( | const MSPUBCollector * | owner,
|  | double | angle = `0`,
|  | int | type = `7`
| ) |  |

## § GradientFill() [2/2]

libmspub::GradientFill::GradientFill | ( | const GradientFill & |  | ) |
| inlineprivate

## Member Function Documentation

## § addColor()

void libmspub::GradientFill::addColor | ( | ColorReference | c,
|  | unsigned | offsetPercent,
|  | double | opacity
| ) |  |

## § addColorReverse()

void libmspub::GradientFill::addColorReverse | ( | ColorReference | c,
|  | unsigned | offsetPercent,
|  | double | opacity
| ) |  |

## § completeComplexFill()

void libmspub::GradientFill::completeComplexFill | ( |  | ) |

## § getProperties()

void libmspub::GradientFill::getProperties | ( | librevenge::RVNGPropertyList * | out | ) | const
| virtual

Implements libmspub::Fill.

## § operator=()

GradientFill& libmspub::GradientFill::operator= | ( | const GradientFill & |  | ) |
| private

## § setFillCenter()

void libmspub::GradientFill::setFillCenter | ( | double | left,
|  | double | top,
|  | double | right,
|  | double | bottom
| ) |  |

## Member Data Documentation

## § m_angle

double libmspub::GradientFill::m_angle
| private

Referenced by getProperties().

## § m_fillBottomVal

double libmspub::GradientFill::m_fillBottomVal
| private

Referenced by getProperties(), and setFillCenter().

## § m_fillLeftVal

double libmspub::GradientFill::m_fillLeftVal
| private

Referenced by getProperties(), and setFillCenter().

## § m_fillRightVal

double libmspub::GradientFill::m_fillRightVal
| private

Referenced by getProperties(), and setFillCenter().

## § m_fillTopVal

double libmspub::GradientFill::m_fillTopVal
| private

Referenced by getProperties(), and setFillCenter().

## § m_stops

std::vector<StopInfo> libmspub::GradientFill::m_stops
| private

Referenced by addColor(), addColorReverse(), completeComplexFill(), and getProperties().

## § m_type

int libmspub::GradientFill::m_type
| private

Referenced by getProperties().

The documentation for this class was generated from the following files:

- Fill.h
- Fill.cpp